Package org.eclipse.m2m.atl.adt.ui.preferences

# Class AtlPreferenceStore.Key

java.lang.Object
org.eclipse.m2m.atl.adt.ui.preferences.AtlPreferenceStore.Key

Enclosing class:
  AtlPreferenceStore

public static class AtlPreferenceStore.Key extends Object
Describes a preference key. It has to match a descriptor (a kind of classes) and a name that determines what key it is.

## Constructor Summary

Constructors
Constructor
Description
`Key(AtlPreferenceStore.Descriptor descriptor, String key)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Key

public Key(AtlPreferenceStore.Descriptor descriptor, String key)